tbody, thead {
    border: 1px solid #dee2e6;
}
textarea.form-control {
    resize: none;
    min-height: 90px;
}

/* ---------------------------------------------------
    INPUT COMPONENTS STYLE
----------------------------------------------------- */
label.col-form-label {
	font-weight: bold;
}
label.col-form-label.required:after {
	content: " *";
	color: red;
}

/**
 * Colori per i badge
 * AV2 groups
 */
.altervista      { background-color: #f79400; }
.girlpower       { background-color: #cc1439; }
.studenti        { background-color: #1e68bf; }
.pianetamamma    { background-color: #20bcd8; }
.pianetadonna    { background-color: #cc1439; }
.zingarate       { background-color: #EA801E; }
.giallozafferano { background-color: #7b6aa3; }
.cookaround      { background-color: #e75148; }
.pianetatech     {  }
.soldionline     {  }

/* adv groups */
.none, .woavb { background-color: #c82333 }
.allsilver, .EngSilver { }
.stdgold, .filmgold, .soldigold, .avgold, .gzgold, .pdgold, .pmgold, .cookgold, .zingagold, .enggold { background-color: #d4af37; }
.gzplatinum, .pdplatinum, .pmplatinum, .cookplatinum { background-color: #5a6268 }

/* HomePage Wrapping */
.homepage-roll {
    max-width: 1200px;
    margin: 0 auto;
}

/* Main Bar */
#mainSelect .titleOption {
    height: 30px;
    font-weight: 600;
    color: rgba(255,50,50,1);
}

/* ---------------------------------------------------
    PAGINATION STYLE
----------------------------------------------------- */
.pagination {
	padding: 10px 20px;
	text-align: center;
}
.pagination .btn.nohover:hover {
    background-color: inherit;
    color: initial;
}
/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */
.navbar {
    padding: 15px 10px;
    background: #fff;
    border: none;
    border-radius: 0;
    /*margin-bottom: 40px;*/
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.navbar .av-env {
	margin-left: auto;
	margin-right: 20px;
	padding: 0 20px;
	box-sizing: content-box;
	width: 80px;
}
.navbar .av-env .env-label {
	width: 100%;
}
.navbar .av-env.with-db .env-label {
	width: 100%;
}
.navbar .av-env.with-db .db-pick {
	display: none;
}
@media screen and (min-width: 480px) {
	.navbar .av-env {
		width: 220px;
	}
	.navbar .av-env.with-db {
		width: 400px;
	}
	.navbar .av-env.with-db .env-label {
		float: left;
		width: 220px;
	}
	.navbar .av-env.with-db .db-pick {
		display: block;
		float: right;
		width: 180px;
	}
	.navbar .av-env.with-db label {
		margin: 0;
	}
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}

#sidebar {
    width: 250px;
    position: fixed;
    top: 0;
    left: -250px;
    height: 100vh;
    z-index: 999;
    background: #7386D5;
    color: #fff;
    transition: all 0.3s;
    overflow-y: scroll;
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
}

#sidebar.active {
    left: 0;
}

#dismiss:hover {
    background: #fff;
    color: #7386D5;
}

.overlay {
    position: fixed;
    top: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.7);
    z-index: 998;
    display: none;
}

#sidebar .sidebar-header {
    padding: 20px;
    background: #6d7fcc;
}

#sidebar ul.components {
    padding: 20px 0;
    border-bottom: 1px solid #47748b;
}

#sidebar ul p {
    color: #fff;
    padding: 10px;
}

#sidebar ul li a {
    color: white;
    padding: 10px;
    font-size: 18px;
    font-weight: 600;
    display: block;
}
#sidebar ul li a:hover {
    color: #7386D5;
    background: #fff;
}

#sidebar ul li.active > a, a[aria-expanded="true"] {
    color: #fff;
    background: #6d7fcc;
}

a[data-toggle="collapse"] {
    position: relative;
}

#sidebar .side-submenu {
    margin: 0 0 0 15px;
    line-height: 15px;
}

#sidebar .side-submenu a {
    font-size: 15px;
    font-weight: 400;
}


/* ---------------------------------------------------
    AD MANAGER STYLES
----------------------------------------------------- */
.format-li {
	color: red;
}
.format-li.in-network {
    color:black;
}
.admanager-topbar {
	padding: 25px 20px 10px;
	max-width: 1200px;
}
.admanager-topbar label {
	margin: 0;
}
.admanager-topbar select {
	display: inline-block;
	width: 250px;
	margin: 0 0 0 10px;
}
.admanager-page table, .admanager-info {
	max-width: 1100px;
	margin: auto;
}
.admanager-home {
    max-width: 1200px;
    margin: 0 auto;
}
.admanager-home a {
	color: black;
}
.admanager-page .ppc, .admanager-page .enabled {
	margin: 0 0 0 5px;
	font-size: 25px;
	line-height: 1.3;
}
.admanager-tag .card-body {
	max-width: 1100px;
	margin: auto;
}
.admanager-tag textarea {
	width: 100%;
	height: 300px;
}
.admanager-tag .small-info {
	padding: 20px 0 0 0;
	font-size: 12px;
}
.admanager-tag .small-info span {
	font-size: 13px;
}
.admanager-share-input input {
	width: 100px;
}
.admanager-share-input::after {
	content: "%";
	display: block;
	width: 1px;
	height: 1px;
	position: relative;
	top: -35px;
	left: 110px;
	font-size: 20px;
}
.admanager-users .users {
	max-width: 700px;
	margin: auto;
}

/* ---------------------------------------------------
    Sensible search styles
----------------------------------------------------- */
div.toast a {
	display:block;
	color: #ddd;
}

table.autogenerated-table td {
	border-left: 1px solid #ddd;
	border-right: 1px solid #ddd;
}
table.autogenerated-table th {
	border-left: 2px solid #ddd;
	border-right: 2px solid #ddd;
}

table.autogenerated-table td:first-child,
table.autogenerated-table th:first-child {
	border-left: 0;
}

table.autogenerated-table td:last-child,
table.autogenerated-table th:last-child {
	border-right: 0;
}

table .comparable-number {
	text-align: right;
}

table.autogenerated-table thead th {
	display: table-cell;
}



@media only screen and (max-width: 760px) {
	/* ---------------------------------------------------
	   Responsive table styles
	----------------------------------------------------- */

	table.vertical-table {
		padding-top: 20px;
	}

    /* Force table to not be like tables anymore */
    table.vertical-table, thead, tbody, th, td, tr {
        display: block;
    }

	table.vertical-table thead {
		background: transparent;
		height: 0;
	}

    /* Hide table headers (but not display: none;, for accessibility) */
    table.vertical-table thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    table.vertical-table tr { border: 1px solid #ccc; }

    table.vertical-table td {
        /* Behave  like a "row" */
        border: none;
        border-bottom: 1px solid #eee;
        position: relative;
        /*padding-left: 50%;*/
    }

    table.vertical-table td:before {
        /* Now like a table header */
        position: absolute;
        /* Top/left values mimic padding */
        top: 10px;
        left: 5px;
        width: 45%;
        padding-right: 5px;
		line-height: 100%;
		font-size: 95%;
    }


	/* Mobile AdManager Topbar floating */
	.admanager-topbar select {
		width: 210px;
		float: right;
		margin: 0 0 10px 0;
	}
}

.solarized.base03 { color: #002b36; }
.solarized.base02 { color: #073642; }
.solarized.base01 { color: #586e75; }
.solarized.base00 { color: #657b83; }
.solarized.base0 { color: #839496; }
.solarized.base1 { color: #93a1a1; }
.solarized.base2 { color: #eee8d5; }
.solarized.base3  { color: #fdf6e3; }
.solarized.solar-yellow  { color: #b58900; }
.solarized.solar-orange  { color: #cb4b16; }
.solarized.solar-red { color: #dc322f; }
.solarized.solar-magenta { color: #d33682; }
.solarized.solar-violet  { color: #6c71c4; }
.solarized.solar-blue { color: #268bd2; }
.solarized.solar-cyan { color: #2aa198; }
.solarized.solar-green { color: #859900; }

/* Color scheme for code-mirror */

.cm-s-solarized {
	border-right: 1px solid #F7F7F7;
	line-height: 1.45em;
	color-profile: sRGB;
	rendering-intent: auto;
}
.cm-s-solarized.cm-s-dark {
	color: #839496;
	background-color: #002b36;
	text-shadow: #002b36 0 1px;
}
.cm-s-solarized.cm-s-light {
	background-color: #fdf6e3;
	color: #657b83;
	text-shadow: #eee8d5 0 1px;
}

.cm-s-solarized .CodeMirror-widget {
	text-shadow: none;
}

.cm-s-solarized .cm-header { color: #586e75; }
.cm-s-solarized .cm-quote { color: #93a1a1; }

.cm-s-solarized .cm-keyword { color: #cb4b16; }
.cm-s-solarized .cm-atom { color: #d33682; }
.cm-s-solarized .cm-number { color: #d33682; }
.cm-s-solarized .cm-def { color: #2aa198; }

.cm-s-solarized .cm-variable { color: #839496; }
.cm-s-solarized .cm-variable-2 { color: #b58900; }
.cm-s-solarized .cm-variable-3, .cm-s-solarized .cm-type { color: #6c71c4; }

.cm-s-solarized .cm-property { color: #2aa198; }
.cm-s-solarized .cm-operator { color: #6c71c4; }

.cm-s-solarized .cm-comment { color: #586e75; font-style:italic; }

.cm-s-solarized .cm-string { color: #859900; }
.cm-s-solarized .cm-string-2 { color: #b58900; }

.cm-s-solarized .cm-meta { color: #859900; }
.cm-s-solarized .cm-qualifier { color: #b58900; }
.cm-s-solarized .cm-builtin { color: #d33682; }
.cm-s-solarized .cm-bracket { color: #cb4b16; }
.cm-s-solarized .CodeMirror-matchingbracket { color: #859900; }
.cm-s-solarized .CodeMirror-nonmatchingbracket { color: #dc322f; }
.cm-s-solarized .cm-tag { color: #93a1a1; }
.cm-s-solarized .cm-attribute { color: #2aa198; }
.cm-s-solarized .cm-hr {
	color: transparent;
	border-top: 1px solid #586e75;
	display: block;
}
.cm-s-solarized .cm-link { color: #93a1a1; cursor: pointer; }
.cm-s-solarized .cm-special { color: #6c71c4; }
.cm-s-solarized .cm-em {
	color: #999;
	text-decoration: underline;
	text-decoration-style: dotted;
}
.cm-s-solarized .cm-error,
.cm-s-solarized .cm-invalidchar {
	color: #586e75;
	border-bottom: 1px dotted #dc322f;
}

.cm-s-solarized.cm-s-dark div.CodeMirror-selected { background: #073642; }
.cm-s-solarized.cm-s-dark.CodeMirror ::selection { background: rgba(7, 54, 66, 0.99); }
.cm-s-solarized.cm-s-dark .CodeMirror-line::-moz-selection, .cm-s-dark .CodeMirror-line > span::-moz-selection, .cm-s-dark .CodeMirror-line > span > span::-moz-selection { background: rgba(7, 54, 66, 0.99); }

.cm-s-solarized.cm-s-light div.CodeMirror-selected { background: #eee8d5; }
.cm-s-solarized.cm-s-light .CodeMirror-line::selection, .cm-s-light .CodeMirror-line > span::selection, .cm-s-light .CodeMirror-line > span > span::selection { background: #eee8d5; }
.cm-s-solarized.cm-s-light .CodeMirror-line::-moz-selection, .cm-s-ligh .CodeMirror-line > span::-moz-selection, .cm-s-ligh .CodeMirror-line > span > span::-moz-selection { background: #eee8d5; }

/* Editor styling */



/* Little shadow on the view-port of the buffer view */
.cm-s-solarized.CodeMirror {
	-moz-box-shadow: inset 7px 0 12px -6px #000;
	-webkit-box-shadow: inset 7px 0 12px -6px #000;
	box-shadow: inset 7px 0 12px -6px #000;
}

/* Remove gutter border */
.cm-s-solarized .CodeMirror-gutters {
	border-right: 0;
}

/* Gutter colors and line number styling based of color scheme (dark / light) */

/* Dark */
.cm-s-solarized.cm-s-dark .CodeMirror-gutters {
	background-color: #073642;
}

.cm-s-solarized.cm-s-dark .CodeMirror-linenumber {
	color: #586e75;
	text-shadow: #021014 0 -1px;
}

/* Light */
.cm-s-solarized.cm-s-light .CodeMirror-gutters {
	background-color: #eee8d5;
}

.cm-s-solarized.cm-s-light .CodeMirror-linenumber {
	color: #839496;
}

/* Common */
.cm-s-solarized .CodeMirror-linenumber {
	padding: 0 5px;
}
.cm-s-solarized .CodeMirror-guttermarker-subtle { color: #586e75; }
.cm-s-solarized.cm-s-dark .CodeMirror-guttermarker { color: #ddd; }
.cm-s-solarized.cm-s-light .CodeMirror-guttermarker { color: #cb4b16; }

.cm-s-solarized .CodeMirror-gutter .CodeMirror-gutter-text {
	color: #586e75;
}

/* Cursor */
.cm-s-solarized .CodeMirror-cursor { border-left: 1px solid #819090; }

/* Fat cursor */
.cm-s-solarized.cm-s-light.cm-fat-cursor .CodeMirror-cursor { background: #77ee77; }
.cm-s-solarized.cm-s-light .cm-animate-fat-cursor { background-color: #77ee77; }
.cm-s-solarized.cm-s-dark.cm-fat-cursor .CodeMirror-cursor { background: #586e75; }
.cm-s-solarized.cm-s-dark .cm-animate-fat-cursor { background-color: #586e75; }

/* Active line */
.cm-s-solarized.cm-s-dark .CodeMirror-activeline-background {
	background: rgba(255, 255, 255, 0.06);
}
.cm-s-solarized.cm-s-light .CodeMirror-activeline-background {
	background: rgba(0, 0, 0, 0.06);
}
.editor-container {
	margin-bottom:25px;
	min-height: 300px;
	display: grid;
}
/* copiatissimo da https://stackoverflow.com/questions/4000792/how-can-i-style-code-listings-using-css */
.code-previewer {
	background: #f4f4f4;
	border: 1px solid #ddd;
	border-left: 3px solid #f99500;
	color: #666;
	page-break-inside: avoid;
	font-family: monospace;
	line-height: 1.6;
	font-size: 1em;
	max-width: 100%;
	overflow: auto;
	padding: 1em 1.5em;
	display: block;
	word-wrap: break-word;
	white-space: pre-wrap;
}

/* ---------------------------------------------------
    MAILER STYLES
----------------------------------------------------- */
.bg-online {
	background-color: rgb(169, 169, 255, 0.5);
}
.bg-active {
	background-color: rgb(0, 128, 0, 0.6);
}
.bg-disabled {
	background-color: rgb(255, 165, 0, 0.6);
}
.bg-always_on {
	background-color: rgb(0, 0, 255, 0.6);
}


#toasts {
  position: fixed;
  bottom: 1rem;
  right: 1rem;
  width: 25vw;
}

#toasts .toast {
	background-color: rgba(255,255,255,.85); /* Sovrascrive toaster */
	margin-left: auto;
}
